Please support VectorLinux!

Author Topic: some trouble with exaile [solved]  (Read 2739 times)

raleeha

  • Member
  • *
  • Posts: 67
some trouble with exaile [solved]
« on: September 22, 2011, 08:04:10 am »
Hello,

i just wanted to figure out some different players like quodlibet but after install that Software it doesnt work correctly.

Code: [Select]
INFO    : Loading Exaile 0.3.2.1...
INFO    : Loading settings...
Traceback (most recent call last):
  File "/usr/lib/exaile/exaile.py", line 61, in <module>
    main()
  File "/usr/lib/exaile/exaile.py", line 58, in main
    exaile = main.Exaile()
  File "/usr/lib/exaile/xl/main.py", line 102, in __init__
    self.__init()
  File "/usr/lib/exaile/xl/main.py", line 138, in __init
    self.__show_splash()
  File "/usr/lib/exaile/xl/main.py", line 266, in __show_splash
    import xlgui
  File "/usr/lib/exaile/xlgui/__init__.py", line 52, in <module>
    from xlgui import cover
  File "/usr/lib/exaile/xlgui/cover.py", line 40, in <module>
    from xl import (
  File "/usr/lib/exaile/xl/player/__init__.py", line 61, in <module>
    PLAYER = get_player()()
  File "/usr/lib/exaile/xl/player/__init__.py", line 47, in get_player
    from xl.player.engine_normal import NormalPlayer
  File "/usr/lib/exaile/xl/player/engine_normal.py", line 32, in <module>
    import pygst
ImportError: No module named pygst

Code: [Select]
Traceback (most recent call last):
  File "/usr/bin/quodlibet", line 17, in <module>
    import quodlibet
ImportError: No module named quodlibet

The install of exaile and quodlibet went fine but if i start it i got those messages above. After search i suppose there went something wrong with the PATH.

http://www.linuxquestions.org/questions/linux-software-2/importerror-no-module-named-gobject-exaile-fails-to-run-python-problem-569303/

The solution could be something like this
Code: [Select]
'export PYTHONPATH=""' then I can't even 'import pygtk'. If I 'export PYTHONPATH="/usr/local/lib/python2.5/site-packages/"'
But there are no python packages in /usr/local/lib.

Any further suggestions would be appreciated.

raleeha
« Last Edit: September 25, 2011, 04:56:26 pm by nightflier »

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: some trouble with exaile
« Reply #1 on: September 22, 2011, 06:19:57 pm »
What version of VL u are running?
Did you compile the exaile and quodlibet yourself?

raleeha

  • Member
  • *
  • Posts: 67
Re: some trouble with exaile
« Reply #2 on: September 22, 2011, 08:34:44 pm »
Hi,

@hata_ph
No i didnt compile exaile and quod libet for myself. I found it in the Vector Linux Repos and installed it via slapt-get btw. gslapt. I use Vector Linux 7.0 RC2 on a 1,86 Ghz Dual Core machine.

Didnt know there was also a dependency by streamtuner 2. This didnt start also after i tried install quodlibet and reinstall exaile via slapt-get / gslapt command.

I will watch the process and give some information how it going on.

raleeha

P.S.
Code: [Select]
quodlibet-2.3-i686-1sl [inst=yes]: Quod Libet (PyGTK Audio Manager)
Code: [Select]
exaile-0.3.2.1-i586-1vl70 [inst=yes]: exaile (A music player)
exaile-0.3.2.1-i586-1vl70 [inst=yes]: exaile (A music player)
exaile-0.3.2.1-i586-1vl70 [inst=yes]: exaile (A music player)
exaile-0.3.2.1-i586-1vl70 [inst=yes]: exaile (A music player)

maybe there are some conflicts between Slackware and Vector Linux Repositories

Code: [Select]
LXML is missing
No module named pyquery


Please install the packages python-lxml and python-pyquery from your distributions software manager.

('error initializing:', 'global_key')
No module named keybinder
oooops, parser returned nothing for category podcasts/
oooops, parser returned nothing for category Alternative
oooops, parser returned nothing for category Google/DMOZ Stations
audacious '/tmp/streamtuner2.bookmarks.3.m3u'

I checked  python-lxml
Code: [Select]
python-lxml-2.2.8-i586-1vl70 [inst=yes]: python-lxml (ElementTree-like Python bindings for libxml2 and libxslt)
python-lxml-2.2.8-i586-1vl70 [inst=yes]: python-lxml (ElementTree-like Python bindings for libxml2 and libxslt)
python-lxml-2.2.8-i586-1vl70 [inst=yes]: python-lxml (ElementTree-like Python bindings for libxml2 and libxslt)
python-lxml-2.2.8-i586-1vl70 [inst=yes]: python-lxml (ElementTree-like Python bindings for libxml2 and libxslt)
and python-pyquery
Code: [Select]
there was no output
streamtuner2 worked well but i wonder from messages above  ???
« Last Edit: September 22, 2011, 08:55:05 pm by raleeha »

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: some trouble with exaile
« Reply #3 on: September 22, 2011, 10:05:58 pm »
I can find exaile-0.3.2.1 in the repo but not quodlibet-2.3-i686-1sl [inst=yes]: Quod Libet (PyGTK Audio Manager). Where you install quodlibet from?

raleeha

  • Member
  • *
  • Posts: 67
Re: some trouble with exaile
« Reply #4 on: September 23, 2011, 02:06:41 am »

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: some trouble with exaile
« Reply #5 on: September 23, 2011, 03:29:55 am »
@hata_ph

from http://www.slacky.eu/repository/slackware-13.37/



Packages from slacky is not compatible with VL7. What package you want? Maybe i can help make it for VL7.  ;D

raleeha

  • Member
  • *
  • Posts: 67
Re: some trouble with exaile
« Reply #6 on: September 23, 2011, 04:02:48 am »
@hata_ph
ok ty :-) i just wondering is it for other packages in general as well ? for google-earth for instance i installed it via slapt-get and it worked so how it could be?

raleeha

  • Member
  • *
  • Posts: 67
Re: some trouble with exaile
« Reply #7 on: September 23, 2011, 05:45:31 am »
when i try to build quodlibet from source with vpackager it shows no error but if i start it after install it shows me
Code: [Select]
Invalid audio backend

The audio backend 'gstbe' is not installed.

i download source code from there http://quodlibet.googlecode.com/files/quodlibet-2.3.1.tar.gz and http://quodlibet.googlecode.com/files/quodlibet-plugins-2.3.1.tar.gz

from quodlibet-plugins build.log
Code: [Select]
..quodlibet-plugins.SlackBuild: line 129: /tmp/vpackager/quodlibet-plugins/2.3.1/src/patches/*: No such file or directory
cp: cannot stat `/tmp/vpackager/quodlibet-plugins/2.3.1/src/patches/*': No such file or directory..
Code: [Select]
..quodlibet-plugins.SlackBuild: line 172: ./configure: No such file or directory..
ok im not so familiar to build from source code..maybe im on the wrong system..should have used windows instead

raleeha

  • Member
  • *
  • Posts: 67
Re: some trouble with exaile
« Reply #8 on: September 23, 2011, 06:49:08 am »
ok i installed quodlibet on Arch Linux in Virtual Box..and its not my favourite music player..i think i prefer VLC Player..so this thread can be mark at solved

sorry for complaining software on Vector Linux

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: some trouble with exaile
« Reply #9 on: September 23, 2011, 06:20:57 pm »
Is ok...VLC is in the testing repo. You can try it. :)

PS: Pls make the thread as solved.

raleeha

  • Member
  • *
  • Posts: 67
Re: some trouble with exaile
« Reply #10 on: September 23, 2011, 07:46:14 pm »
mh how should i do that? didnt know sry

hata_ph

  • Packager
  • Vectorian
  • ****
  • Posts: 3261
  • -- Just being myself --
Re: some trouble with exaile
« Reply #11 on: September 24, 2011, 07:20:47 pm »
Just edit your thread title with [SOLVED] :)

raleeha

  • Member
  • *
  • Posts: 67
[SOLVED] Re: some trouble with exaile
« Reply #12 on: September 25, 2011, 11:36:50 am »
[solved]

nightflier

  • Administrator
  • Vectorian
  • *****
  • Posts: 4075
Re: some trouble with exaile [solved]
« Reply #13 on: September 25, 2011, 04:57:54 pm »
I took care of it for you. Scroll to the top and check the title of your original post.